/* $Id: final.h,v 4.4 1991/09/09 20:18:23 sob Exp sob $
 * 
 * $Log: final.h,v $
 * Revision 4.4  1991/09/09  20:18:23  sob
 * release 4.4
 *
 *
 * 
 */
/* This software is Copyright 1991 by Stan Barber. 
 *
 * Permission is hereby granted to copy, reproduce, redistribute or otherwise
 * use this software as long as: there is no monetary profit gained
 * specifically from the use or reproduction of this software, it is not
 * sold, rented, traded or otherwise marketed, and this copyright notice is
 * included prominently in any copy made. 
 *
 * The author make no claims as to the fitness or correctness of this software
 * for any use whatsoever, and it is provided as is. Any use of this software
 * is at the user's own risk. 
 */

/* cleanup status for fast exits */

EXT bool panic INIT(FALSE);		/* we got hung up or something-- */
					/*  so leave tty alone */
EXT bool rc_changed INIT(FALSE);	/* need we rewrite .newsrc? */
EXT bool doing_ng INIT(FALSE);		/* do we need to reconstitute */
					/* current rc line? */

EXT char int_count INIT(0);		/* how many interrupts we've had */

EXT bool clear_on_stop INIT(FALSE);	/* set when handling the stop signal */
					/* would leave the screen a mess */

/* signal catching routines */

SIGRET	int_catcher ANSI((int));
SIGRET	sig_catcher ANSI((int));
#ifdef SIGTSTP
 SIGRET	stop_catcher ANSI((int));
#endif

void	final_init ANSI((void));
void	finalize ANSI((int));
